commit:     a3df81bab854449d8036c08148252f70337c1393
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Sep 11 17:11:13 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Sep 23 04:52:55 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a3df81ba

dev-python/python-jsonrpc-server: version bump 0.4.0, add py3.9

Closes: https://github.com/gentoo/gentoo/pull/17504
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-python/python-jsonrpc-server/Manifest          |  1 +
 .../python-jsonrpc-server-0.4.0.ebuild             | 37 ++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-python/python-jsonrpc-server/Manifest 
b/dev-python/python-jsonrpc-server/Manifest
index 31efd0bc424..f6e2573f25e 100644
--- a/dev-python/python-jsonrpc-server/Manifest
+++ b/dev-python/python-jsonrpc-server/Manifest
@@ -1 +1,2 @@
 DIST python-jsonrpc-server-0.3.4.tar.gz 26123 BLAKE2B 
5d3c7b910cc91999f7f03a70a1f954decd11801b4dad39cb940625a3456fb69a8e6a146c128d29d347f1513a9f27208f1f39208d3449443be8278e0d175e6598
 SHA512 
a00af318baf89fe38ececc2080d7b3af8c2476280f9eb89670e5b0d3ceac046573be964bc2882c1b1894edc8ab4cb5fd69366980abe17bb1df857181821bcbd0
+DIST python-jsonrpc-server-0.4.0.tar.gz 26491 BLAKE2B 
524dbd0692861bff538d9db06facda4bdad74c84d3c047a374db658adc31eeb799ba0c4b0219597b04c75cd6e2db3968ba0cf4084ba235509c2457c22b3e1497
 SHA512 
062e5b75253b95e64918a9da86ad7e29d8a29019670e451b9a28d44cde064339953004c343be0e7dd40968ec9fc2420b5722265f56c2db8057d0f1eaf088dacc

diff --git 
a/dev-python/python-jsonrpc-server/python-jsonrpc-server-0.4.0.ebuild 
b/dev-python/python-jsonrpc-server/python-jsonrpc-server-0.4.0.ebuild
new file mode 100644
index 00000000000..858c1bae05a
--- /dev/null
+++ b/dev-python/python-jsonrpc-server/python-jsonrpc-server-0.4.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python 2 and 3 asynchronous JSON RPC server"
+HOMEPAGE="https://github.com/palantir/python-jsonrpc-server";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="dev-python/versioneer[${PYTHON_USEDEP}]
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pycodestyle[${PYTHON_USEDEP}]
+)"
+
+RDEPEND="~dev-python/ujson-1.35[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # Remove pytest-cov dep
+       sed -i -e '0,/addopts/I!d' setup.cfg || die
+
+       # jsonrpc-server does not actually work with ujson>3.0.0: tests fail
+       sed -i -e 's/ujson>=3.0.0/ujson==1.35/g' setup.py || die
+       sed -i -e 's/ujson>=3.0.0/ujson==1.35/g' 
python_jsonrpc_server.egg-info/requires.txt || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to